<?php

declare(strict_types=1);

namespace Dedi\SyliusMarketingPlugin\Events;

use Dedi\SyliusMarketingPlugin\JsonSerializeTrait;

class JoinGroup implements \JsonSerializable, EventInterface
{
    use JsonSerializeTrait;

    private ?string $group_id = null;

    public function getName(): string
    {
        return 'join_group';
    }

    public function setGroupId(?string $group_id): self
    {
        $this->group_id = $group_id;

        return $this;
    }
}
