<?php

declare(strict_types=1);

namespace Dedi\SyliusMarketingPlugin\Events;

use Dedi\SyliusMarketingPlugin\JsonSerializeTrait;

class Login implements \JsonSerializable, EventInterface
{
    use JsonSerializeTrait;

    private ?string $method = null;

    public function getName(): string
    {
        return 'login';
    }

    public function setMethod(?string $method): self
    {
        $this->method = $method;

        return $this;
    }
}
